.custom-select {
    position: relative;
    font-family: Cantata One;
    width: 60%;
    text-align: center;
}

.custom-select select {
    display: none;
}

.select-selected {
    background-color: var(--surface-primary);
}

/* Style the arrow inside the select element: */
.select-selected:after {
    position: absolute;
    content: "";
    top: 16px;
    right: 10px;
    width: 0;
    height: 0;
    border: 6px solid transparent;
    border-color: var(--border-primary) transparent transparent transparent;
}

/* Point the arrow upwards when the select box is open (active): */
.select-selected.select-arrow-active:after {
    border-color: transparent transparent var(--border-primary) transparent;
    top: 10px;
}

/* style the items (options), including the selected item: */
.select-items div,
.select-selected {
    color: var(--text-primary);
    padding: 8px 16px;
    border: 1px solid transparent;
    border-color: transparent transparent var(--border-primary) transparent;
    cursor: pointer;
}

/* Style items (options): */
.select-items {
    position: absolute;
    background-color: white;
    top: 100%;
    left: 0;
    right: 0;
    z-index: 99;
    border: 1px solid var(--border-primary);
}

/* Hide the items when the select box is closed: */
.select-hide {
    display: none;
}

.select-items div:hover,
.same-as-selected {
    background-color: rgba(0, 0, 0, 0.1);
}